
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}


body {
    margin: 0px;
    font-family: 'Ubuntu', sans-serif;
    overflow-x: hidden;
}

.info {
    overflow-x: hidden !important;
}

a {
    text-decoration: none !important;
    color: white !important;
}

nav.sticky {
    padding: 7.5px 100px !important;
    background-color: black !important;
}


.navbar-toggler {
    width: 50px !important;
    border: 0 !important;
}

/* Cambiar el color del icono del botón de menú a blanco */
.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3E%3Cpath stroke='greenyellow' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E")!important;
}

.navbar-toggler {
    border: none !important;
}

.div-completo {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

.flex-column {
    display:flex;
    flex-direction: column;
    justify-content: center;
}

.flex-row {
    display:flex;
    flex-direction: row;
    justify-content: center;
}

.text-align-left {
    text-align: left;
}

.text-align-center {
    text-align: center !important;
}

.align-items-center {
    align-items: center;
}

.bold {
    font-weight: bold;
}

.white {
    color: white !important;
}

.green {
    color: greenyellow; !important;
}

.lightblue {
    color: lightblue !important;
}

.no-margin {
    margin: 0 !important;
}

.no-padding {
    padding: 0 !important;
}

.underline {
    text-decoration: underline;
}

.errors {
    font-weight: bold;
    color: rgb(255, 46, 46);
    margin: 10px;
}

.success-message-div {
    font-weight: bold;
    background-color: lightskyblue;
    color: black;
    padding: 10px 10px 0px 10px;
    margin: 10px;
    justify-content: center !important;
}

.errors-message-div {
    font-weight: bold;
    background-color: red;
    color: white;
    padding: 10px 10px 0px 10px;
    margin: 10px;
    justify-content: center !important;
}

.warning-message-div {
    font-weight: bold;
    background-color: lightsalmon;
    color: black;
    padding: 10px 10px 0px 10px;
    margin: 10px auto 0;
    justify-content: center !important;
    width: fit-content;
}

.succes-message-div i, .errors-message-div i {
    margin: 0;
    padding: 0;
}

.divider {
    width: 1px;
    background-color: gray;
    height: 80%;
    opacity: 0.3;
    margin: 0 20px 0 20px;
    align-items: center;
}

.uppercase {
    text-transform: uppercase;
}

.hide-button {
    background-color: transparent;
    border: solid 2px black;
    padding: 2.5px 10px;
}

input:focus-visible {
    outline: none;
}

@media(min-width: 320px) and (max-width: 479px){


    nav img {
        width: 300px !important;
        justify-content: space-between !important;
        align-items: center;
    }

    .navbar-brand {
        width: 300px !important;
    }

    nav {
        display:flex;
        flex-direction: row !important;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }


    .navbar-toggler {
        order: 1; /* Asegura que el botón aparezca después del logo */
    }

    .navbar-brand {
        order: 0; /* Asegura que el logo esté al principio */
    }

    .patrocinadores {
        display: flex;
        flex-direction: column;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        justify-content: center;
        align-items: center;
        width:100%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 50px;
        margin: 10px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: center;
    }

    .patrocinadores-equipo h2, .patrocinadores-carrera h2 {
        text-align: center;
        font-size: 24px;
    }

    .patrocinadores-equipo {
        text-align: center;
        display:flex;
        flex-direction: column;
    }

    .fotos-patrocinadores-equipo {
        display:flex !important;
        flex-direction: column !important;
    }

    .fotos-patrocinadores-carrera {
        display:flex !important;
        flex-direction: column !important;
        align-items: center;
        justify-content: center;
    }

}

@media(min-width: 480px) and (max-width: 599px){
    nav img {
        width: 350px !important;
        justify-content: space-between !important;
        align-items: center;
    }

    nav {
        display:flex;
        flex-direction: row !important;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }


    .patrocinadores {
        display: flex;
        flex-direction: column;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        justify-content: center;
        align-items: center;
        width:100%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 70px;
        margin: 10px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: center;
    }

    .patrocinadores-equipo h2, .patrocinadores-carrera h2 {
        text-align: center;
        font-size: 24px;
    }

    .patrocinadores-equipo {
        text-align: center;
        display:flex;
        flex-direction: column;
    }

    .fotos-patrocinadores-equipo {
        display:flex !important;
        flex-direction: column !important;
    }

    .fotos-patrocinadores-carrera {
        display:flex !important;
        flex-direction: column !important;
        align-items: center;
        justify-content: center;
    }

}

@media(min-width: 600px) and (max-width: 767px){

    nav {
        display:flex;
        flex-direction: row !important;
        width: 100%;
    }

    nav img {
        height: 60px !important;
        margin: 0px !important;
        padding: 0px !important;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }


    .patrocinadores {
        display: flex;
        flex-direction: column;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        justify-content: center;
        align-items: center;
        width:100%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 70px;
        margin: 10px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: center;
    }

    .patrocinadores-equipo h2, .patrocinadores-carrera h2 {
        text-align: center;
        font-size: 24px;
    }

    .patrocinadores-equipo {
        text-align: center;
        display:flex;
        flex-direction: column;
    }

    .fotos-patrocinadores-equipo {
        display:flex !important;
        flex-direction: column !important;
    }

    .fotos-patrocinadores-carrera {
        display:flex !important;
        flex-direction: column !important;
        align-items: center;
        justify-content: center;
    }
}

@media(min-width: 768px) and (max-width: 899px){
    nav img {
        width: 350px !important;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }


    .patrocinadores {
        display: flex;
        flex-direction: column;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        justify-content: center;
        align-items: center;
        width:100%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 50px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: center;
    }

    .patrocinadores-equipo h2, .patrocinadores-carrera h2 {
        text-align: center;
    }

    .patrocinadores-equipo {
        text-align: center;
    }

    .fotos-patrocinadores-equipo {
        display:flex;
        flex-wrap: wrap;
    }

    .patrocinadores section div > a {
        filter: grayscale(100%);
        transition: 700ms ease;
    }
    
    .patrocinadores section div > a:hover {
        filter:grayscale(0%);
        transition: 700ms ease;
    }
}

@media(min-width: 900px) and (max-width: 1023px){

    nav {
        padding: 20px 100px;
    }

    nav .logo {
        margin-right: 40px;
    }


    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }

    .social-icon {
        width: 40px;  /* Ancho del icono */
        height: 40px; /* Altura del icono */
        font-size: 18px;
        margin-right: -20px;
    }

    .social-icon i {
        line-height: 36px; /* Ajusta el icono verticalmente */
    }

    .patrocinadores {
        display: flex;
        flex-direction: row;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        width:50%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 65px;
    }

    .patrocinadores-equipo h2 {
        text-align: end;
    }
    
    .patrocinadores-carrera h2 {
        text-align: start;
    }

    .patrocinadores-equipo {
        text-align: end;
    }

    .fotos-patrocinadores-equipo {
        display:flex;
        flex-wrap: wrap;
    }

    .patrocinadores section div > a {
        filter: grayscale(100%);
        transition: 700ms ease;
    }
    
    .patrocinadores section div > a:hover {
        filter:grayscale(0%);
        transition: 700ms ease;
    }
}

@media (min-width: 1024px) and (max-width: 1204px){


    nav {
        padding: 20px 100px;
    }

    nav ul {
        margin-bottom: 30px;
        justify-content: center !important;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }

    nav .logo {
        margin-right: 40px;
    }

    .social-icon {
        width: 40px;  /* Ancho del icono */
        height: 40px; /* Altura del icono */
        font-size: 18px;
        margin-right: -20px;
    }

    .social-icon i {
        line-height: 36px; /* Ajusta el icono verticalmente */
    }

    .patrocinadores {
        display: flex;
        flex-direction: row;
        padding: 10px 0 10px 0;
    }

    .patrocinadores section {
        width:50%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 70px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: flex-end;
    }

    .patrocinadores-equipo h2 {
        text-align: end;
    }
    
    .patrocinadores-carrera h2 {
        text-align: start;
    }

    .patrocinadores-equipo {
        text-align: end;
    }

    .fotos-patrocinadores-equipo {
        display:flex;
        flex-wrap: wrap;
    }

    .patrocinadores section div > a {
        filter: grayscale(100%);
        transition: 700ms ease;
    }
    
    .patrocinadores section div > a:hover {
        filter:grayscale(0%);
        transition: 700ms ease;
    }
}

@media(min-width:1205px){

    nav {
        padding: 20px 100px;
        background-color: transparent !important;
    }

    nav ul {
        justify-content: center !important;
    }

    nav .logo {
        margin-left: 150px !important;
    }

    .lista-nav li:not(:last-child) {
        margin-right: 30px;
    }

    .nav-link:hover {
        color: rgb(119, 198, 0) !important;
    }

    .social-icon {
        width: 40px;  /* Ancho del icono */
        height: 40px; /* Altura del icono */
        font-size: 18px;
        margin-right: -20px;
    }

    .social-icon i {
        line-height: 36px; /* Ajusta el icono verticalmente */
    }

    .patrocinadores {
        padding: 10px 0 10px 0;
        display:flex;
        flex-direction: row;
    }

    .patrocinadores-equipo {
        text-align: end;
    }

    .patrocinadores section {
        width:50%;
    }
    
    .patrocinadores section {
        margin: 20px 0 20px 0;
    }
    
    .patrocinadores section > div {
        margin-top: 20px;
    }

    .patrocinadores section > div a img {
        max-height: 70px;
    }

    .patrocinadores-equipo div {
        display:flex;
        flex-direction: row;
        justify-content: flex-end;
    }

    .patrocinadores-equipo h2 {
        text-align: end;
    }
    
    .patrocinadores-carrera h2 {
        text-align: start;
    }

    .fotos-patrocinadores-equipo {
        display:flex;
        flex-wrap: wrap;
    }

    .patrocinadores section div > a {
        filter: grayscale(100%);
        transition: 700ms ease;
    }
    
    .patrocinadores section div > a:hover {
        filter:grayscale(0%);
        transition: 700ms ease;
    }
}


nav {
    display: flex;
    flex-direction: row;
    justify-content: center !important;
    align-items: center !important;
    transition: 0.6s;

    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100000;
    padding: 0 100px !important;
}




nav .logo {
    position: relative;
    transition: 0.6s;
}

nav ul {
    justify-content: center !important;
    align-items: center;
    width: 100%;
}

nav ul li {
    text-transform: uppercase;
}

.lista-comun {
    list-style: none;
    display:flex;
    flex-direction: row;
    align-items: center;
}

.lista-nav {
    background-color: transparent !important;
}

.lista-nav li {
    color:black !important;
}

.titulo {
    text-transform: uppercase;
    text-align: center;
}

a {
    text-decoration: none;
    color: white;
}

.nav-link {
    position: relative;
}



.social-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #fff; /* Borde blanco */
    border-radius: 50%; /* Hace que el borde sea redondo */
    color: #fff; /* Color del icono */
    text-decoration: none;
    transition: all 0.3s; /* Transición suave */
}


.social-icon:hover {
    background-color: rgba(0, 0, 0, 0.5); /* Fondo semitransparente al pasar el ratón por encima */
    color: greenyellow; /* Cambiar color del icono al pasar el ratón por encima */
    border-color: greenyellow; /* Cambiar color del borde al pasar el ratón por encima */
}

.social-icon i {
    display: block;
    text-align: center;
}

.verde {
    color: greenyellow;
}

.green-background {
    background-color: greenyellow;
}

.lightblue-background {
    background-color: lightskyblue;
}

footer {
    background-color: #181a1b;
    padding: 15px;
    text-align: center;
    justify-content: center;
    border:solid #797063;
    border-width: 0.20px 0 0 0;
}

footer p {
    font-size: 14px;
    color:#a8a095;
}

.minuscula {
    text-transform: lowercase !important;
}

.patrocinadores {
    background-color: #2c2f31;
}

.patrocinadores-equipo {
    padding-right: 20px;
    border: solid gray;
    border-width: 0 0.35px 0 0;
}

.patrocinadores-carrera {
    padding-left: 20px;
}


.patrocinadores section > div a img {
    transition: 400ms;
}

.patrocinadores-equipo div a img {
    margin: 10px 5px 0 10px;
}

.patrocinadores section > h2 {
    color:white;
    text-transform: uppercase;
    font-size: 16px;
    margin-bottom: 10px;
}

.patrocinadores-carrera div a img {
    margin: 10px 40px 10px 0;
}
